commit 3fbc38f35fa559926180eab936c2ffd8b97382ab
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Aug 17 15:18:58 2021

    libstdc++: Test std::seed_seq construction from input iterators
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/26_numerics/random/seed_seq/cons/range.cc: Check
            construction from input iterators.
    
    (cherry picked from commit 20698ec5b681e23fa3404ed0ef78e3367b28e16d)

diff --git a/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/range.cc b/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/range.cc
index 8ea87342002..63233c893c0 100644
--- a/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/range.cc
+++ b/libstdc++-v3/testsuite/26_numerics/random/seed_seq/cons/range.cc
@@ -24,6 +24,7 @@
 
 #include <random>
 #include <testsuite_hooks.h>
+#include <testsuite_iterators.h>
 
 void
 test01()
@@ -38,9 +39,22 @@ test01()
   //VERIFY();
 }
 
+void
+test02()
+{
+  unsigned arr[10] = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
+  __gnu_test::input_container<unsigned int> in(arr);
+  std::seed_seq seq(in.begin(), in.end());
+
+  std::vector<unsigned> foo(10000);
+  seq.generate(foo.begin(), foo.end());
+
+  VERIFY( seq.size() == 10 );
+}
+
 int
 main()
 {
   test01();
-  return 0;
+  test02();
 }

